Skip to main content
Resource Center/Resource Pool/Instance Offering Operations
GETInstance Offering OperationsSince 0.6SynchronousAuth Required

QueryInstanceOffering

QueryInstanceOffering

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • cpuNumIntegerRequired

      The CPU count.

    • cpuSpeedIntegerRequired

      The CPU speed.

    • memorySizeLongRequired

      The memory size.

    • typeStringRequired

      The type.

    • allocatorStrategyStringRequired

      The allocator strategy.

    • sortKeyIntegerRequired

      排序键。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • stateStringRequired

      The state, including Enabled and Disabled.

Endpoint

GET/zstack/v1/instance-offerings

/zstack/v1/instance-offerings

Operation ID

QueryInstanceOffering

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/instance-offerings' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "4f7e7eff5bb04f7cacc33a18006a0c72", "name": "instanceOffering1", "cpuNum": 2.0, "cpuSpeed": 1.0, "type": "UserVm", "allocatorStrategy": "Mevoco", "createDate": "Jun 7, 2017 9:20:13 PM", "lastOpDate": "Jun 7, 2017 9:20:13 PM", "state": "Enabled" } ] }

Change History

This API has no change history records yet.

View all change history